/**********************************************************************\
 *                   SerLib.h    1991 G. Glendown                    *
 *                                                                    *
 * This is the Include-File for using SerLib from C.                  *
 * Pragma-Definition only for SAS/C                                   *
\**********************************************************************/

#define	ABORT_SEND	1
#define	ABORT_RECV	2

struct SerLibdata *OpenSerial();
void CloseSerial();
LONG ChangeData();
LONG WriteSer();
LONG ReadSer();
void GetStatus();
long SerBuffer();
ULONG WaitSer();
BOOL CheckCD();
LONG SendSer();
LONG RecvSer();
LONG AbortIOSer();
BOOL CheckIOSer();
LONG ClearSer();

struct SerLibData {
	struct Port 	*SerPort;	/* You shouldn't fool 'round with these	*/
	struct Port 	*SerWPort;	
	struct IOExtSer	*SerReq;	/* babies, they're internal use only!	*/
	struct IOExtSer	*SerWReq;
};

struct SerStatus {
	ULONG	ss_unread;		/* Number of bytes in the serial buffer	*/
	UWORD	ss_status;		/* see io_Status in struct IOExtSer		*/
};
